/** qcmsevents.h
 *
 *  A small X11 color management event observer.
 *
 *  License: newBSD
 *  Copyright: (c)2009-2015 - Kai-Uwe Behrmann <ku.b@gmx.de>
 *
 */

#ifndef QCMSEVENTS_H
#define QCMSEVENTS_H

#include <QtGui>
#include <QApplication>
#include <QSystemTrayIcon>
#include <QDialog>
#include <QDesktopWidget>
#include <QWidget>
#include <QListWidget>
#include <QComboBox>
#include <cstdlib>
#include <cstring>

class QcmseDialog : public QDialog
{
  Q_OBJECT

  public:
    QcmseDialog();

  protected:
    void close( QCloseEvent * e );

  public slots:
    void quit() { exit(0); }
    void setIcon(int index);
    void showConfig();

  public:
    QSystemTrayIcon * icon;
    void createIcon();
  private:
    QMenu * systrayIconMenu;
    QAction * quitA;
    QAction * showA;
    QAction * showC;

    QListWidget * log_list;
    QComboBox * icons;
    int index_;
  public:
    void log( const char * text, int code );
    int init;
    int index() { return index_; }
private slots:
    void onAction(QAction*a);
};

extern QcmseDialog * dialog;

#endif /* QCMSEVENTS_H */

